Bug 905681 - Intel backlight does not adjust, but only turns on/off in kernel 3.16 on Samsung laptop
Intel backlight does not adjust, but only turns on/off in kernel 3.16 on Sams...
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Distribution
Classification: openSUSE
Component: Kernel
13.2
Other Linux
: P5 - None : Normal (vote)
: ---
Assigned To: Takashi Iwai
E-mail List
https://bugzilla.kernel.org/show_bug....
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-11-17 04:55 UTC by Vladimir Perepechin
Modified: 2015-04-22 11:51 UTC (History)
3 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments
dmidecode dump (19.08 KB, text/plain)
2014-11-17 07:39 UTC, Vladimir Perepechin
Details
acpidump (235.35 KB, text/plain)
2014-11-17 07:40 UTC, Vladimir Perepechin
Details
hwinfo output (589.05 KB, text/plain)
2014-11-17 07:50 UTC, Vladimir Perepechin
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Perepechin 2014-11-17 04:55:59 UTC
I'm affected by this bug: https://bugzilla.kernel.org/show_bug.cgi?id=84561
Comment 1 Takashi Iwai 2014-11-17 06:47:49 UTC
Could you check whether the boot option "video.use_native_backlight=0" makes it working, as suggested in bugzilla kernel.org?

In anyway, please attach hwinfo output to this Bugzilla, too.
Comment 2 Vladimir Perepechin 2014-11-17 07:39:04 UTC
Created attachment 613846 [details]
dmidecode dump
Comment 3 Vladimir Perepechin 2014-11-17 07:40:04 UTC
Created attachment 613847 [details]
acpidump
Comment 4 Vladimir Perepechin 2014-11-17 07:43:25 UTC
laptop: samsung np510r5e

Yep, after setting video.use_native_backlight=0 i'm able to controll brightness.
But when setting it to minimum sceen is still on.

Now:

ls -l /sys/class/backlight/
итого 0
lrwxrwxrwx 1 root root 0 ноя 17 17:31 acpi_video0 -> ../../devices/pci0000:00/0000:00:01.0/0000:01:00.0/backlight/acpi_video0
lrwxrwxrwx 1 root root 0 ноя 17 17:31 acpi_video1 -> ../../devices/pci0000:00/0000:00:02.0/backlight/acpi_video1
lrwxrwxrwx 1 root root 0 ноя 17 17:31 intel_backlight -> ../../devices/pci0000:00/0000:00:02.0/drm/card1/card1-LVDS-1/intel_backlight
Comment 5 Vladimir Perepechin 2014-11-17 07:50:18 UTC
Created attachment 613849 [details]
hwinfo output
Comment 6 Takashi Iwai 2014-11-17 14:15:21 UTC
Thanks.  Then could you rather put yourself into kernel.org bugzilla entry?  Once when the fix patch is merged to upstream, we can backport to SUSE kernels.
Comment 7 Vladimir Perepechin 2014-11-17 14:39:03 UTC
I'm already there :)
Comment 8 Takashi Iwai 2014-11-17 14:47:24 UTC
Ah OK :)  Then let's wait for the upstream resolution...
Comment 9 Vladimir Perepechin 2014-12-22 07:23:55 UTC
Upstream patch is ready :)
Comment 10 Takashi Iwai 2015-01-05 14:12:13 UTC
OK, I backported the patch to openSUSE-13.2 git branch now.  It'll be included in the next update kernel, or you can try KOTD (OBS Kernel:openSUSE-13.2 repo).
Comment 11 Swamp Workflow Management 2015-04-13 12:06:39 UTC
openSUSE-SU-2015:0713-1: An update that solves 13 vulnerabilities and has 52 fixes is now available.

Category: security (important)
Bug References: 867199,893428,895797,900811,901925,903589,903640,904899,905681,907039,907818,907988,908582,908588,908589,908592,908593,908594,908596,908598,908603,908604,908605,908606,908608,908610,908612,909077,909078,909477,909634,910150,910322,910440,911311,911325,911326,911356,911438,911578,911835,912061,912202,912429,912705,913059,913466,913695,914175,915425,915454,915456,915577,915858,916608,917830,917839,918954,918970,919463,920581,920604,921313,922542,922944
CVE References: CVE-2014-8134,CVE-2014-8160,CVE-2014-8559,CVE-2014-9419,CVE-2014-9420,CVE-2014-9428,CVE-2014-9529,CVE-2014-9584,CVE-2014-9585,CVE-2015-0777,CVE-2015-1421,CVE-2015-1593,CVE-2015-2150
Sources used:
openSUSE 13.2 (src):    bbswitch-0.8-3.6.6, cloop-2.639-14.6.6, crash-7.0.8-6.6, hdjmod-1.28-18.7.6, ipset-6.23-6.6, kernel-docs-3.16.7-13.2, kernel-obs-build-3.16.7-13.7, kernel-obs-qa-3.16.7-13.1, kernel-obs-qa-xen-3.16.7-13.1, kernel-source-3.16.7-13.1, kernel-syms-3.16.7-13.1, pcfclock-0.44-260.6.2, vhba-kmp-20140629-2.6.2, virtualbox-4.3.20-10.2, xen-4.4.1_08-12.2, xtables-addons-2.6-6.2